package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.InitGroupDTO;
import com.winhc.repal.model.dto.PageDTO;
import com.winhc.repal.model.vo.GroupMemberVo;
import com.winhc.repal.service.RepalGroupService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: RepalGroupController
 * @Author: xda
 * @Date: 2022/5/6 13:34
 */
@Api(tags = "回款宝组织")
@RestController
@RequestMapping(value = "/group")
public class RepalGroupController {

    @Autowired
    private RepalGroupService repalGroupService;


    @ApiOperation("初始化管理员和组织")
    @RequestMapping(value = "/init", method = RequestMethod.POST)
    public BeanResponse<Boolean> initGroup(@RequestBody InitGroupDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalGroupService.initGroup(dto));
    }

    @ApiOperation("获取当前组织内人员列表")
    @RequestMapping(value = "/member", method = RequestMethod.GET)
    public BeanResponse<VOPage<GroupMemberVo>> getGroupMemberList(PageDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalGroupService.getGroupMemberList(dto));
    }


}
