package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.vo.RepalManageBillDetailVO;
import com.winhc.repal.model.vo.RepalManageBillInfoVO;
import com.winhc.repal.model.vo.RepalManageBillPageVO;
import com.winhc.repal.service.RepalBillService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author Aaron
 * @date 2022/5/6 11:16
 * @description
 */
@Slf4j
@Api(tags = "催款管理")
@RestController
@RequestMapping("repalManage")
public class RepalManageController {
    @Autowired
    private RepalBillService repalBillService;

    @ApiOperation("汇总")
    @GetMapping("/summary")
    public BeanResponse<RepalManageBillInfoVO> queryManageInfo(){
        return BeanResponse.success(CodeMsg.SUCCESS,repalBillService.queryManageInfo());
    }

    @ApiOperation("分页查询催款列表")
    @GetMapping("/page")
    public BeanResponse<VOPage<RepalManageBillPageVO>> queryManageBillPage(@RequestParam(value = "pageNum",defaultValue = "1")Integer pageNum,
                                                                           @RequestParam(value = "pageSize",defaultValue = "10")Integer pageSize){
        return BeanResponse.success(CodeMsg.SUCCESS,repalBillService.queryManageBillPage(pageNum, pageSize));
    }

    @ApiOperation("查询催款账款详情")
    @GetMapping("/{repalBillId}")
    public BeanResponse<RepalManageBillDetailVO> querManageBillDetail(@PathVariable("repalBillId")Long repalBillId){
        return BeanResponse.success(CodeMsg.SUCCESS,repalBillService.querManageBillDetail(repalBillId));
    }
}
