package com.winhc.repal.mq.consumer;

import com.aliyun.openservices.ons.api.Action;
import com.aliyun.openservices.ons.api.ConsumeContext;
import com.aliyun.openservices.ons.api.Message;
import com.aliyun.openservices.ons.api.MessageListener;
import com.aliyun.openservices.shade.com.alibaba.fastjson.JSON;
import com.winhc.repal.mq.bean.RiskScoreDataTransfer;
import com.winhc.repal.service.RepalBillDiagnosisService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.nio.charset.StandardCharsets;
import java.util.Date;

/**
 * @author Aaron
 * @date 2020/12/14 11:48
 * @description
 */
@Slf4j
@Service
public class GradeListener implements MessageListener {
    @Autowired
    private RepalBillDiagnosisService repalBillDiagnosisService;

    @Override
    public Action consume(Message message, ConsumeContext consumeContext) {
        try{
            log.info(new Date() + "收到评分结果消息, Topic is:" + message.getTopic() + ", MsgId is:" + message.getMsgID());
            RiskScoreDataTransfer transfer = JSON.parseObject(new String(message.getBody(), StandardCharsets.UTF_8), RiskScoreDataTransfer.class);
            repalBillDiagnosisService.updateGrade(transfer);
        }catch (Throwable e){
            log.error("消费评分结果出错",e);
        }
        return Action.CommitMessage;
    }
}
