package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalBook;
import com.winhc.repal.model.dto.DeleteRepalBookDTO;
import com.winhc.repal.model.dto.HomeTypeDTO;
import com.winhc.repal.model.vo.HomeGradeVO;
import com.winhc.repal.model.vo.RepalBookInfoVO;

import java.util.List;


/**
 * @description RepalBook 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalBookService extends IService<RepalBook> {



    /**
     * 删除账本
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/4/18 10:04
     */
    Boolean deleteRepalBook(DeleteRepalBookDTO dto);


    /**
     * 获取账本列表信息
     * @return java.util.List<com.winhc.repal.model.vo.RepalBookInfoVO>
     * @author xda
     * @date 2022/4/18 10:19
     */
    List<RepalBookInfoVO> getRepalBookInfoList();

    /**
     * 获取账本动态
     * @param dto dto
     * @return java.util.List<java.util.List < java.lang.Integer>>
     * @author xda
     * @date 2022/5/6 18:41
     */
    List<List<Integer>> getRepalBookDynamic(HomeTypeDTO dto);

    /**
     * 首页账本评级比例
     * @param dto dto
     * @return java.util.List<com.winhc.repal.model.vo.HomeGradeVO>
     * @author xda
     * @date 2022/5/6 18:52
     */
    List<HomeGradeVO> getGradeRateList(HomeTypeDTO dto);


}
