package com.winhc.repal.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.winhc.common.enums.CodeMsg;
import com.winhc.common.exception.CommonException;
import com.winhc.repal.entity.RepalGroupMember;
import com.winhc.repal.enums.DeletedStatusEnum;
import com.winhc.repal.repository.RepalGroupMemberMapper;
import com.winhc.repal.service.RepalGroupMemberService;
import com.winhc.repal.service.UserExtService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @description RepalGroupMember 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalGroupMemberServiceImpl extends ServiceImpl<RepalGroupMemberMapper, RepalGroupMember> implements RepalGroupMemberService {

    @Autowired
    private UserExtService userExtService;

    @Override
    public Long getUserGroupId(Long userId) {
        RepalGroupMember repalGroupMember = this.getOne(Wrappers.lambdaQuery(RepalGroupMember.class)
                .eq(RepalGroupMember::getUserId, userId)
                .eq(RepalGroupMember::getDeleted, DeletedStatusEnum.NORMAL.getCode()));
        if (Objects.isNull(repalGroupMember)) {
            throw new CommonException(CodeMsg.FAILED, "组织错误");
        }
        return repalGroupMember.getRepalGroupId();
    }

    @Override
    public Boolean addGroupMember(Long userId, String userName, Long groupId, Long roleId, Integer roleType) {
        RepalGroupMember member = new RepalGroupMember();
        member.setRepalGroupId(groupId);
        member.setMemberUserName(userName);
        member.setUserId(userId);
        member.setRoleId(roleId);
        member.setRoleType(roleType);
        this.save(member);
        return true;
    }
}
